# caddy with duckdns
# @created 2022-03
# author="Andy Bunce"

ARG VERSION=caddy:2.10
FROM $VERSION-builder AS builder

RUN xcaddy build \
     --with  github.com/caddy-dns/duckdns \
     --with  github.com/greenpau/caddy-security \
     --with  github.com/greenpau/caddy-trace \
     --with  github.com/greenpau/caddy-git    
FROM $VERSION

COPY --from=builder /usr/bin/caddy /usr/bin/caddy